=== sources/extra/cpp-scheduler/Makefile ===
#############################################################################
# Makefile for building: Oar_sched_gantt_with_timesharing_and_fairsharing
# Generated by qmake (2.01a) (Qt 4.4.3) on: lun. janv. 5 16:38:00 2009
# Project:  oarsched.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile oarsched.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_SQL_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtSql -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = Oar_iolib.cc \
		Oar_conflib.cc \
		Gantt_hole_storage.cc \
		Oar_resource_tree.cc \
		Oar_sched_gantt_with_timesharing_and_fairsharing.cc 
OBJECTS       = Oar_iolib.o \
		Oar_conflib.o \
		Gantt_hole_storage.o \
		Oar_resource_tree.o \
		Oar_sched_gantt_with_timesharing_and_fairsharing.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		oarsched.pro
QMAKE_TARGET  = Oar_sched_gantt_with_timesharing_and_fairsharing
DESTDIR       = 
TARGET        = Oar_sched_gantt_with_timesharing_and_fairsharing

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: oarsched.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile oarsched.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile oarsched.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0 || $(MKDIR) .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0/ && $(COPY_FILE) --parents Gantt_hole_storage.H Oar_resource_tree.H .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0/ && $(COPY_FILE) --parents Oar_iolib.cc Oar_conflib.cc Gantt_hole_storage.cc Oar_resource_tree.cc Oar_sched_gantt_with_timesharing_and_fairsharing.cc .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0/ && (cd `dirname .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0` && $(TAR) Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0.tar Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0 && $(COMPRESS) Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0.tar) && $(MOVE) `dirname .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0`/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Oar_sched_gantt_with_timesharing_and_fairsharing1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

Oar_iolib.o: Oar_iolib.cc Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_iolib.o Oar_iolib.cc

Oar_conflib.o: Oar_conflib.cc 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_conflib.o Oar_conflib.cc

Gantt_hole_storage.o: Gantt_hole_storage.cc Gantt_hole_storage.H \
		Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Gantt_hole_storage.o Gantt_hole_storage.cc

Oar_resource_tree.o: Oar_resource_tree.cc Oar_resource_tree.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_resource_tree.o Oar_resource_tree.cc

Oar_sched_gantt_with_timesharing_and_fairsharing.o: Oar_sched_gantt_with_timesharing_and_fairsharing.cc 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Oar_sched_gantt_with_timesharing_and_fairsharing.o Oar_sched_gantt_with_timesharing_and_fairsharing.cc

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
