=== debian/changelog ===
oar (2.5.6-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Pierre Neyron <pierre.neyron@free.fr>  Wed, 24 Feb 2016 16:55:09 +0100

oar (2.5.6-2) unstable; urgency=medium

  * correctly rebuild amd64 packages (due to a error, uploaded binary
    packages for 2.5.6-1 was a work in progress)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 18 Feb 2016 09:45:32 +0100

oar (2.5.6-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Rework Debian README file for oar-api (api setup)
  * Source-less javascript were removed upstream, no need for dfsg now
  * Change dependences of oar-restful-api, can be in main again
  * Remove patch applied upstream
  * Add recommends to libyaml-syck-perl (provide faster YAML functions)
  * Fix copyright, accordingly to upstream changes

  [ Vincent Danjean ]
  * Apply suggestion from 'cme fix/edit dpkg'
  * Remove Philippe as Uploader (not working on this project anymore)

 -- Pierre Neyron <pierre.neyron@free.fr>  Tue, 16 Feb 2016 14:20:58 +0100

oar (2.5.5+dfsg.1-1) unstable; urgency=medium

  * remove source-less javascript files from tar.gz
  * add a README.source to warn about an uscan bug

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 21 Sep 2015 16:45:32 +0200

oar (2.5.5-2) unstable; urgency=medium

  * Rework the sections of the packages (mainly set to utils instead of science)
  * Set the archive area/section of the oar-restful-api package to contrib/net,
    since it depends on non-free packages (Closes: #798820)
  * Remove the oar-api transitional dummy package
  * Fix typos in oar-restful-api README.Debian file
  * Remove the overlib.js files from sources, because overLIB is not actually
    used and has copyright issues (broken URL in the copyright notice)
  * Fix upstream contact and remove overLIB artistic license in the copyright
    file

 -- Pierre Neyron <pierre.neyron@free.fr>  Fri, 18 Sep 2015 15:18:47 +0200

oar (2.5.5-1) unstable; urgency=medium

  [ Pierre Neyron ]
  * New upstream release
  * Fix oar-common, oar-web-status and oar-restful-api unowned files after
    purge (Closes: #674657)
  * Fix oar-web-status and oar-restful-api webapps setup for apache 2.4
  * Set libyaml-perl as a dependance for oar-restful-api and remove
    libxml-simple-perl from the recommends
  * Add python-sphinx to the build dependencies
  * Replace embedded jquery.js and underscore.js in oar-doc with a symlink to
    the copy provided by the libjs-* packages
  * Fix minor spelling issues in oarsub man page
  * Fix lintian issues or add overrides

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 07 Sep 2015 23:17:12 +0200
