## oar 2.5.7

=== sources/core/tools/trace_collect/Makefile ===
MPI_INCLUDE=/usr/include/mpich2/
INCLUDE = -I$(MPI_INCLUDE)

all: ztracempi.c
	gcc -shared -ldl -fPIC ztracempi.c -o ztracempi.so -lmpi $(INCLUDE)  
debug: ztracempi.c	
	gcc -shared -ldl -fPIC ztracempi.c -o ztracempi.so -lmpi $(INCLUDE) -DDEBUG
