=== sources/extra/cpp-scheduler/UnitaryTests/Makefile ===
CC= g++
CFLAGS= -g -Wall
CXXFLAGS= -g -Wall
LDLIBS= -ldl -lcppunit

all: AllTest


AllTest: AllTest.o TestResourceTree.o ../Oar_resource_tree.H ../Oar_resource_tree.o ../Gantt_hole_storage.o

clean:
	rm *.o ../*.o
