=== debian/changelog ===
oar (2.5.7-3) unstable; urgency=medium

  [ Pierre Neyron ]
  * Fix recommends/suggests in oar-server-mysql: any variant of mysql can
    do (Closes: #848477)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 19 Dec 2016 14:47:53 +0100

oar (2.5.7-2) unstable; urgency=high

  * enabling hardening flags
  * urgency still set to high as 2.5.7-1 is not yet in testing

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 04 Apr 2016 22:47:00 +0200

oar (2.5.7-1) unstable; urgency=high

  * New upstream release, which encompasses a fix for a vulnerability in the
    oarsh command (CVE-2016-1235; Closes: #819952)
  * Make liboar-perl a dependency of oar-common, because the oarnodesetting
    command of the oar-node package also needs the Perl libs
  * Change php dependencies for the transition to php7.0

 -- Pierre Neyron <pierre.neyron@free.fr>  Mon, 04 Apr 2016 20:11:21 +0200
