=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          ${perl:Depends},
+         liboar-perl (= ${binary:Version}),
          adduser,
          ucf
 Suggests: oar-server,
@@ -56,7 +57,6 @@
          libsort-versions-perl,
          libdbi-perl,
          oar-common (= ${binary:Version}),
-         liboar-perl (= ${binary:Version}),
          oar-server-pgsql (= ${binary:Version}) | oar-server-mysql (= ${binary:Version}),
          perl (<< 5.17) | libterm-ui-perl
 Recommends: libxml-dumper-perl,
@@ -81,8 +81,8 @@
          ${perl:Depends},
          libdbi-perl,
          libdbd-mysql-perl
-Recommends: mysql-client
-Suggests: mysql-server
+Recommends: default-mysql-client | virtual-mysql-client
+Suggests: default-mysql-server | virtual-mysql-server
 Description: OAR batch scheduler MySQL server backend package
  OAR is a versatile resource and task manager (also called a batch scheduler)
  for clusters and other computing infrastructures
@@ -128,7 +128,6 @@
          ${perl:Depends},
          libdbi-perl,
          oar-common (= ${binary:Version}),
-         liboar-perl (= ${binary:Version}),
          oar-user-pgsql (= ${binary:Version}) | oar-user-mysql (= ${binary:Version})
 Recommends: libxml-dumper-perl,
             libyaml-perl,
@@ -183,8 +182,8 @@
          libtie-ixhash-perl,
          libappconfig-perl,
          libsort-naturally-perl,
-         php5,
-         php5-mysql | php5-pgsql
+         php,
+         php-mysql | php-pgsql
 Suggests: oar-doc
 Description: OAR batch scheduler visualization tool package
  OAR is a versatile resource and task manager (also called a batch scheduler)
